//
//  TSChatMsgBaseView.swift
//  AIEmoji
//
//  Created by 100Years on 2025/2/23.
//




import MessageKit
class TSChatMsgBaseView: TSBaseView {
//    open weak var messageCellDelegate: MessageCellDelegate?
//    open weak var messageCollectionViewCell:MessageCollectionViewCell?
    var didTapCustomViewBlock:((TSChatMsgViewTapType)->Void)?
    open var indexPath:IndexPath?

    override func creatUI() {
        
        
    }
}
// 定义一个枚举作为字典的键
public enum TSChatMsgViewTapType {
    case copyMsg
    case refreshMsg
}
public extension MessageCellDelegate {

    func didTapCustomView(msgCell: MessageCollectionViewCell?, pattern: TSChatMsgViewTapType, match: String?) {
        debugPrint("MessageCellDelegate extension didTapCustomView")
    }
}


//public protocol MessageCellDelegate: MessageLabelDelegate {
//    
//    
//    
//}

